	#!/bin/bash
	#
	# all regular shell tricks go

	# pre-unzip tasks
	# 

	# unzip the files using absolute paths, normally no changes needed
	tar -xzpvP --no-same-owner -f mrxvt-0.3.13.tar.gz

	# post-unzip tasks
	ln -sf /usr/lib/libutempter.so.1.1.1 /usr/lib/libutempter.so
	ln -sf /usr/lib/libutempter.so.1.1.1 /usr/lib/libutempter.so.0

	# Register with PupGet as an alien package
	echo '"mrxvt" "mrxvt-0.3.13" on "XLIBAPPS 135K" \' >> /root/.packages/alienpackages.txt
	echo "mrxvt-0.3.13" > /root/.packages/mrxvt-0.3.13.keyword
	mv /tmp/mrxvt-0.3.13.files /root/.packages/mrxvt-0.3.13.files
	
	# Register with iceWM menu
	if [ -f /root/.icewm/menu ]
	then
	   egrep -i mrxvt /root/.icewm/menu >/dev/null 2>&1
	   if [ $? -ne 0 ]
	   then
	     cp -f /root/.icewm/menu /root/.icewm/menu.bak
	     awk '{if (/run24/) {print $0;print "        prog \"mrxvt\" mini-sh /usr/X11R6/bin/mrxvt -sr";print "        prog \"mrxvt Bash\" mini-sh /usr/X11R6/bin/mrxvt -sr -e bash"} else {print $0};} ' /root/.icewm/menu.bak > /root/.icewm/menu 
	   fi
	fi

	# Register with fvwm95 menu
	if [ -f /root/.fvwm95rc ]
	then
	   egrep -i mrxvt /root/.fvwm95rc >/dev/null 2>&1
	   if [ $? -ne 0 ]
	   then
	     cp -f /root/.fvwm95rc /root/.fvwm95rc.bak
	     awk '{if (/AddToMenu "RunThings"/) {print $0;print "+ \"mrxvt%mini-sh.xpm%\" Exec mrxvt -sr";print "+ \"mrxvt Bash%mini-sh.xpm%\" Exec mrxvt -sr -e bash"} else {print $0};} ' /root/.fvwm95rc.bak > /root/.fvwm95rc 
	   fi
	fi
	              

	# Register with JWM menu
	if [ -f /root/.jwmrc ]
	then
	   egrep -i mrxvt /root/.jwmrc >/dev/null 2>&1
	   if [ $? -ne 0 ]
	   then
	     cp -f /root/.jwmrc /root/.jwmrc.bak
	     awk '{if (/Menu label="Run"/) {print $0;print "<Program label=\"Mrxvt\" icon=\"mini-sh.xpm\">mrxvt -sr</Program>";print "<Program label=\"Mrxvt Bash\" icon=\"mini-sh.xpm\">mrxvt -sr -e bash</Program>"} else {print $0};} ' /root/.jwmrc.bak > /root/.jwmrc 
	   fi
	fi

	exit 0

